/**********************************************************************************************************************
 * Copyright (c) Prophesee S.A.                                                                                       *
 *                                                                                                                    *
 * Licensed under the Apache License, Version 2.0 (the "License");                                                    *
 * you may not use this file except in compliance with the License.                                                   *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0                                 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed   *
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.                      *
 * See the License for the specific language governing permissions and limitations under the License.                 *
 **********************************************************************************************************************/

#ifndef METAVISION_HAL_IBGEN_REGISTER_MAPPING_H
#define METAVISION_HAL_IBGEN_REGISTER_MAPPING_H

//-----------------------------------------------------------------------------
// Register Bank name is    SISLEY_SENSOR_IF_IBGEN
//-----------------------------------------------------------------------------

#define SISLEY_IBGEN_BASE_ADDRESS 0x00000000   // regbank_address
#define SISLEY_IBGEN_START_ADDR 0x00000000     // regbank_address
#define SISLEY_IBGEN_LAST_ADDR 0x00000068      // regbank_address
#define SISLEY_IBGEN_VECTOR_0_ADDR 0x00000000  // regbank_address
#define SISLEY_IBGEN_VECTOR_1_ADDR 0x00000004  // regbank_address
#define SISLEY_IBGEN_VECTOR_2_ADDR 0x00000008  // regbank_address
#define SISLEY_IBGEN_VECTOR_3_ADDR 0x0000000C  // regbank_address
#define SISLEY_IBGEN_VECTOR_4_ADDR 0x00000010  // regbank_address
#define SISLEY_IBGEN_VECTOR_5_ADDR 0x00000014  // regbank_address
#define SISLEY_IBGEN_VECTOR_6_ADDR 0x00000018  // regbank_address
#define SISLEY_IBGEN_VECTOR_7_ADDR 0x0000001C  // regbank_address
#define SISLEY_IBGEN_VECTOR_8_ADDR 0x00000020  // regbank_address
#define SISLEY_IBGEN_VECTOR_9_ADDR 0x00000024  // regbank_address
#define SISLEY_IBGEN_VECTOR_10_ADDR 0x00000028 // regbank_address
#define SISLEY_IBGEN_VECTOR_11_ADDR 0x0000002C // regbank_address
#define SISLEY_IBGEN_VECTOR_12_ADDR 0x00000030 // regbank_address
#define SISLEY_IBGEN_VECTOR_13_ADDR 0x00000034 // regbank_address
#define SISLEY_IBGEN_VECTOR_14_ADDR 0x00000038 // regbank_address
#define SISLEY_IBGEN_VECTOR_15_ADDR 0x0000003C // regbank_address
#define SISLEY_IBGEN_VECTOR_16_ADDR 0x00000040 // regbank_address
#define SISLEY_IBGEN_VECTOR_17_ADDR 0x00000044 // regbank_address
#define SISLEY_IBGEN_VECTOR_18_ADDR 0x00000048 // regbank_address
#define SISLEY_IBGEN_VECTOR_19_ADDR 0x0000004C // regbank_address
#define SISLEY_IBGEN_VECTOR_20_ADDR 0x00000050 // regbank_address
#define SISLEY_IBGEN_VECTOR_21_ADDR 0x00000054 // regbank_address
#define SISLEY_IBGEN_VECTOR_22_ADDR 0x00000058 // regbank_address
#define SISLEY_IBGEN_VECTOR_23_ADDR 0x0000005C // regbank_address
#define SISLEY_IBGEN_VECTOR_24_ADDR 0x00000060 // regbank_address
#define SISLEY_IBGEN_VECTOR_25_ADDR 0x00000064 // regbank_address
#define SISLEY_IBGEN_VECTOR_26_ADDR 0x00000068 // regbank_address
#define SISLEY_IBGEN_VECTOR_0 0x00000000       // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_1 0x00000000       // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_2 0x00000000       // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_3 0x00000000       // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_4 0x00000000       // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_5 0x00000000       // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_6 0x00000000       // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_7 0x00000000       // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_8 0x00000000       // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_9 0x00000000       // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_10 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_11 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_12 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_13 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_14 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_15 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_16 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_17 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_18 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_19 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_20 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_21 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_22 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_23 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_24 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_25 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR
#define SISLEY_IBGEN_VECTOR_26 0x00000000      // SISLEY_IBGEN_VECTOR_26_ADDR

#endif // METAVISION_HAL_IBGEN_REGISTER_MAPPING_H
